#!/usr/bin/perl -w
#
# Add a news item to the external news monitor

BEGIN { do '/home/jaffa/lib/loadperl.pm' }

use strict;
use CGI;
use CGI::User;
use File::GetParsed;
use LockFile::Simple qw(lock unlock);


# -- Define globals ----------------------------------------------------
#
use vars qw($FILE);
$FILE = '/home/jaffa/lib/www/tv.news';


# -- Do the work -------------------------------------------------------
#
my $query = new CGI;
my $user  = CGI::User->getCurrent();

my $site  = $query->param('site') || '';
my $url   = $query->param('url')  || '';
my $title = $query->param('title') || '';

print $query->header('text/html');

return File::GetParsed->get("error.html") unless $user and $site and $url and $title;

lock($FILE) or die "unable to lock $FILE\n";

unlock($FILE);
return;
